<?php
require'fun.php';
$titlu='Transfera lei la '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/banca">'.img('banca.gif',1).'Banca</a>';
require'f_sus.php';
require'f_mut.php';
$lei_disponibili=$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
if(preg_match('/[^0-9]/',$pmtext))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii!",`de`="'.$de.'",`text`="avand un număr de [b]'.number_format($lei_disponibili).'[/b], a încercat să transfere '.$pmtext.' lei lui",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'N-ai voie sa faci asta!';
}
else
{
if($lei_disponibili>=$pmtext)
{
$gpsf=$lei_disponibili-$pmtext;
$gpst=$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]+$pmtext;
$conn->query('UPDATE`membrii`SET`lei`="'.$gpst.'"WHERE`id`="'.$la.'"');
$conn->query('UPDATE`membrii`SET`lei`="'.$gpsf.'"WHERE`id`="'.$de.'"');
require'f_notificare.php';
notificare('ti-am transferat [b]'.$pmtext.'[/b] lei!',$la,$de);
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Transfer",`de`="'.$de.'",`text`="a transferat '.$pmtext.' lei lui",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Lei actualizati cu succes!<br />Tu mai ai acum '.$gpsf.' lei!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Tu nu ai suficienți lei sa poți transfera!';
}
echo$div[0];
require'f_jos.php';